package pps.core.space.service;

import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import pps.cloud.space.service.ISpaceInstitutionDetailCloudService;
import pps.core.common.constant.BusinessConstant;
import pps.core.common.entity.BaseModel;
import pps.core.space.entity.SpaceInstitutionDetailEnt;
import pps.core.space.mapper.SpaceInstitutionDetailMapper;
import xstartup.annotation.XService;
import xstartup.base.XContext;
import xstartup.data.XSingleResult;

/**
 * 基础间开配置模块
 *
 * @author ZWT
 * @date 2023/09/06 17:09
 */
@XService
public class SpaceInstitutionDetailCloudServiceImpl implements ISpaceInstitutionDetailCloudService {

    /**
     * 基础间开配置模块--获取线路配置制度数量
     *
     * @param context 上下文
     * @param lineId  线路id
     * @return {@link XSingleResult}<{@link Long}>
     */
    @Override
    public XSingleResult<Long> getInstitutionLineCountByLineId(XContext context, String lineId) {
        SpaceInstitutionDetailMapper mapper = context.getBean(SpaceInstitutionDetailMapper.class);
        return XSingleResult.success(mapper.selectCount(
                new LambdaQueryWrapper<SpaceInstitutionDetailEnt>()
                        .eq(BaseModel::getIsDeleted, BusinessConstant.NO)
                        .eq(SpaceInstitutionDetailEnt::getLineId, lineId)
        ));
    }
}
